# Makefile.in generated by automake 1.11.3 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#-*-Mode:make;coding:utf-8;tab-width:4;c-basic-offset:4-*-
# ex: set ft=make fenc=utf-8 sts=4 ts=4 sw=4 noet nomod:
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/cloudi_minimal.conf.in \
	$(srcdir)/cloudi_tests.conf.in $(srcdir)/config.h.in \
	$(srcdir)/rebar_src.config.in \
	$(srcdir)/rebar_src_test.config.in $(srcdir)/reltool.config.in \
	$(top_srcdir)/configure \
	$(top_srcdir)/lib/cloudi_core/src/cloudi_core.app.src.in \
	$(top_srcdir)/lib/cloudi_service_api_requests/src/cloudi_service_api_requests.app.src.in \
	$(top_srcdir)/lib/cloudi_service_db_mysql/src/cloudi_service_db_mysql.app.src.in \
	$(top_srcdir)/lib/cloudi_service_db_pgsql/src/cloudi_service_db_pgsql.app.src.in \
	$(top_srcdir)/lib/cloudi_service_filesystem/src/cloudi_service_filesystem.app.src.in \
	$(top_srcdir)/lib/cloudi_service_http_client/src/cloudi_service_http_client.app.src.in \
	$(top_srcdir)/lib/cloudi_service_http_cowboy/src/cloudi_service_http_cowboy.app.src.in \
	$(top_srcdir)/lib/cloudi_service_http_elli/src/cloudi_service_http_elli.app.src.in \
	$(top_srcdir)/lib/cloudi_service_http_rest/src/cloudi_service_http_rest.app.src.in \
	$(top_srcdir)/lib/cloudi_service_map_reduce/src/cloudi_service_map_reduce.app.src.in \
	$(top_srcdir)/lib/cloudi_service_monitoring/src/cloudi_service_monitoring.app.src.in \
	$(top_srcdir)/lib/cloudi_service_oauth1/src/cloudi_service_oauth1.app.src.in \
	$(top_srcdir)/lib/cloudi_service_queue/src/cloudi_service_queue.app.src.in \
	$(top_srcdir)/lib/cloudi_service_quorum/src/cloudi_service_quorum.app.src.in \
	$(top_srcdir)/lib/cloudi_service_router/src/cloudi_service_router.app.src.in \
	$(top_srcdir)/lib/cloudi_service_tcp/src/cloudi_service_tcp.app.src.in \
	$(top_srcdir)/lib/cloudi_service_udp/src/cloudi_service_udp.app.src.in \
	$(top_srcdir)/lib/cloudi_service_validate/src/cloudi_service_validate.app.src.in \
	$(top_srcdir)/lib/cloudi_service_zeromq/src/cloudi_service_zeromq.app.src.in \
	$(top_srcdir)/rel/files/vm.args.in AUTHORS COPYING ChangeLog \
	INSTALL NEWS config/compile config/config.guess \
	config/config.sub config/install-sh config/ltmain.sh \
	config/missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_backtrace.m4 \
	$(top_srcdir)/m4/ax_boost_base.m4 \
	$(top_srcdir)/m4/ax_boost_check_header.m4 \
	$(top_srcdir)/m4/ax_boost_system.m4 \
	$(top_srcdir)/m4/ax_boost_thread.m4 \
	$(top_srcdir)/m4/ax_check_class.m4 \
	$(top_srcdir)/m4/ax_check_header_macro.m4 \
	$(top_srcdir)/m4/ax_check_private_header.m4 \
	$(top_srcdir)/m4/ax_check_private_lib.m4 \
	$(top_srcdir)/m4/ax_check_rqrd_class.m4 \
	$(top_srcdir)/m4/ax_clock_gettime.m4 \
	$(top_srcdir)/m4/ax_compare_version.m4 \
	$(top_srcdir)/m4/ax_cxx_check_header.m4 \
	$(top_srcdir)/m4/ax_erlang_otp_version.m4 \
	$(top_srcdir)/m4/ax_gmp.m4 \
	$(top_srcdir)/m4/ax_lib_socket_nsl.m4 \
	$(top_srcdir)/m4/ax_prog_jar.m4 \
	$(top_srcdir)/m4/ax_prog_java.m4 \
	$(top_srcdir)/m4/ax_prog_java_works.m4 \
	$(top_srcdir)/m4/ax_prog_javac.m4 \
	$(top_srcdir)/m4/ax_prog_javac_works.m4 \
	$(top_srcdir)/m4/ax_prog_python_version.m4 \
	$(top_srcdir)/m4/ax_prog_ruby_version.m4 \
	$(top_srcdir)/m4/ax_python_c.m4 \
	$(top_srcdir)/m4/ax_try_compile_java.m4 \
	$(top_srcdir)/m4/ax_uuid.m4 $(top_srcdir)/m4/ax_zeromq.m4 \
	$(top_srcdir)/m4/ax_zeromq_erlzmq.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = cloudi_tests.conf cloudi_minimal.conf \
	rebar_src.config rebar_src_test.config reltool.config \
	rel/files/vm.args lib/cloudi_core/src/cloudi_core.app.src \
	lib/cloudi_service_api_requests/src/cloudi_service_api_requests.app.src \
	lib/cloudi_service_db_mysql/src/cloudi_service_db_mysql.app.src \
	lib/cloudi_service_db_pgsql/src/cloudi_service_db_pgsql.app.src \
	lib/cloudi_service_filesystem/src/cloudi_service_filesystem.app.src \
	lib/cloudi_service_http_client/src/cloudi_service_http_client.app.src \
	lib/cloudi_service_http_cowboy/src/cloudi_service_http_cowboy.app.src \
	lib/cloudi_service_http_elli/src/cloudi_service_http_elli.app.src \
	lib/cloudi_service_http_rest/src/cloudi_service_http_rest.app.src \
	lib/cloudi_service_map_reduce/src/cloudi_service_map_reduce.app.src \
	lib/cloudi_service_monitoring/src/cloudi_service_monitoring.app.src \
	lib/cloudi_service_oauth1/src/cloudi_service_oauth1.app.src \
	lib/cloudi_service_queue/src/cloudi_service_queue.app.src \
	lib/cloudi_service_quorum/src/cloudi_service_quorum.app.src \
	lib/cloudi_service_router/src/cloudi_service_router.app.src \
	lib/cloudi_service_tcp/src/cloudi_service_tcp.app.src \
	lib/cloudi_service_udp/src/cloudi_service_udp.app.src \
	lib/cloudi_service_validate/src/cloudi_service_validate.app.src \
	lib/cloudi_service_zeromq/src/cloudi_service_zeromq.app.src
CONFIG_CLEAN_VPATH_FILES =
depcomp =
am__depfiles_maybe =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BACKTRACE_CPPFLAGS = @BACKTRACE_CPPFLAGS@
BACKTRACE_LDFLAGS = @BACKTRACE_LDFLAGS@
BACKTRACE_LIB = @BACKTRACE_LIB@
BFD_LDFLAGS = @BFD_LDFLAGS@
BFD_LIB = @BFD_LIB@
BFD_PATH = @BFD_PATH@
BOOST_CPPFLAGS = @BOOST_CPPFLAGS@
BOOST_EXCEPTION_ALL_HPP_CFLAGS = @BOOST_EXCEPTION_ALL_HPP_CFLAGS@
BOOST_EXCEPTION_ALL_HPP_PATH = @BOOST_EXCEPTION_ALL_HPP_PATH@
BOOST_LDFLAGS = @BOOST_LDFLAGS@
BOOST_PREPROCESSOR_HPP_CFLAGS = @BOOST_PREPROCESSOR_HPP_CFLAGS@
BOOST_PREPROCESSOR_HPP_PATH = @BOOST_PREPROCESSOR_HPP_PATH@
BOOST_SYSTEM_LIB = @BOOST_SYSTEM_LIB@
BOOST_THREAD_LIB = @BOOST_THREAD_LIB@
BOOST_UNORDERED_MAP_HPP_CFLAGS = @BOOST_UNORDERED_MAP_HPP_CFLAGS@
BOOST_UNORDERED_MAP_HPP_PATH = @BOOST_UNORDERED_MAP_HPP_PATH@
CABAL = @CABAL@
CABAL_SANDBOX = @CABAL_SANDBOX@
CC = @CC@
CFLAGS = @CFLAGS@
CLOUDI_CONF = @CLOUDI_CONF@
CLOUDI_TMP_BIN_SCRIPT = @CLOUDI_TMP_BIN_SCRIPT@
CONFIG_TESTS_GO_COUNT = @CONFIG_TESTS_GO_COUNT@
CONFIG_TESTS_GO_HTTP_REQ = @CONFIG_TESTS_GO_HTTP_REQ@
CONFIG_TESTS_GO_MESSAGING = @CONFIG_TESTS_GO_MESSAGING@
CONFIG_TESTS_GO_MSG_SIZE = @CONFIG_TESTS_GO_MSG_SIZE@
CONFIG_TESTS_GO_NULL = @CONFIG_TESTS_GO_NULL@
CONFIG_TESTS_HASKELL_COUNT = @CONFIG_TESTS_HASKELL_COUNT@
CONFIG_TESTS_HASKELL_HTTP_REQ = @CONFIG_TESTS_HASKELL_HTTP_REQ@
CONFIG_TESTS_HASKELL_MESSAGING = @CONFIG_TESTS_HASKELL_MESSAGING@
CONFIG_TESTS_HASKELL_MSG_SIZE = @CONFIG_TESTS_HASKELL_MSG_SIZE@
CONFIG_TESTS_HASKELL_NULL = @CONFIG_TESTS_HASKELL_NULL@
CONFIG_TESTS_OCAML_COUNT = @CONFIG_TESTS_OCAML_COUNT@
CONFIG_TESTS_OCAML_HTTP_REQ = @CONFIG_TESTS_OCAML_HTTP_REQ@
CONFIG_TESTS_OCAML_MESSAGING = @CONFIG_TESTS_OCAML_MESSAGING@
CONFIG_TESTS_OCAML_MSG_SIZE = @CONFIG_TESTS_OCAML_MSG_SIZE@
CONFIG_TESTS_OCAML_NULL = @CONFIG_TESTS_OCAML_NULL@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DIALYZER = @DIALYZER@
DLLTOOL = @DLLTOOL@
DL_LDFLAGS = @DL_LDFLAGS@
DL_LIB = @DL_LIB@
DL_PATH = @DL_PATH@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
DW_LDFLAGS = @DW_LDFLAGS@
DW_LIB = @DW_LIB@
DW_PATH = @DW_PATH@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ERL = @ERL@
ERLANG_ERTS_VER = @ERLANG_ERTS_VER@
ERLANG_LIB_DIR = @ERLANG_LIB_DIR@
ERLANG_LIB_DIR_erl_interface = @ERLANG_LIB_DIR_erl_interface@
ERLANG_LIB_DIR_ssl = @ERLANG_LIB_DIR_ssl@
ERLANG_LIB_VER_erl_interface = @ERLANG_LIB_VER_erl_interface@
ERLANG_LIB_VER_ssl = @ERLANG_LIB_VER_ssl@
ERLANG_OTP_VER = @ERLANG_OTP_VER@
ERLANG_OTP_VER_MAJOR = @ERLANG_OTP_VER_MAJOR@
ERLANG_OTP_VER_MINOR = @ERLANG_OTP_VER_MINOR@
ERLANG_OTP_VER_PATCH = @ERLANG_OTP_VER_PATCH@
ERLANG_OTP_VER_RELEASE_CANDIDATE = @ERLANG_OTP_VER_RELEASE_CANDIDATE@
ERLANG_ROOT_DIR = @ERLANG_ROOT_DIR@
ERLC = @ERLC@
ERLCFLAGS = @ERLCFLAGS@
ERLC_OPTS = @ERLC_OPTS@
ERL_OPTS = @ERL_OPTS@
ESCRIPT = @ESCRIPT@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GHC = @GHC@
GMP_H_CFLAGS = @GMP_H_CFLAGS@
GMP_H_PATH = @GMP_H_PATH@
GMP_LDFLAGS = @GMP_LDFLAGS@
GMP_LIB = @GMP_LIB@
GMP_PATH = @GMP_PATH@
GO = @GO@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JAR = @JAR@
JAVA = @JAVA@
JAVAC = @JAVAC@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
NM = @NM@
NMEDIT = @NMEDIT@
NODE = @NODE@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OCAMLC = @OCAMLC@
OCAMLFLAGS = @OCAMLFLAGS@
OCAMLOPT = @OCAMLOPT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
PHP = @PHP@
PYTHON = @PYTHON@
PYTHON_CFLAGS = @PYTHON_CFLAGS@
PYTHON_CONFIG = @PYTHON_CONFIG@
PYTHON_LDFLAGS = @PYTHON_LDFLAGS@
PYTHON_VERSION = @PYTHON_VERSION@
RANLIB = @RANLIB@
REBAR = @REBAR@
RT_LIB = @RT_LIB@
RUBY = @RUBY@
RUBY_VERSION = @RUBY_VERSION@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
UUID_LDFLAGS = @UUID_LDFLAGS@
UUID_LIB = @UUID_LIB@
UUID_PATH = @UUID_PATH@
UUID_UUID_H_CFLAGS = @UUID_UUID_H_CFLAGS@
UUID_UUID_H_PATH = @UUID_UUID_H_PATH@
VERSION = @VERSION@
ZEROMQ_CFLAGS = @ZEROMQ_CFLAGS@
ZEROMQ_ERLZMQ_APPCONF = @ZEROMQ_ERLZMQ_APPCONF@
ZEROMQ_ERLZMQ_PATH = @ZEROMQ_ERLZMQ_PATH@
ZEROMQ_ERLZMQ_RELTOOL = @ZEROMQ_ERLZMQ_RELTOOL@
ZEROMQ_LDFLAGS = @ZEROMQ_LDFLAGS@
ZEROMQ_LIB_PATH = @ZEROMQ_LIB_PATH@
ZEROMQ_VERSION_MAJOR = @ZEROMQ_VERSION_MAJOR@
ZMQ_H_CFLAGS = @ZMQ_H_CFLAGS@
ZMQ_H_PATH = @ZMQ_H_PATH@
ZMQ_LDFLAGS = @ZMQ_LDFLAGS@
ZMQ_LIB = @ZMQ_LIB@
ZMQ_PATH = @ZMQ_PATH@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__leading_dot = @am__leading_dot@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
cloudi_bindir = @cloudi_bindir@
cloudi_confdir = @cloudi_confdir@
cloudi_logdir = @cloudi_logdir@
cloudi_prefix = @cloudi_prefix@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
javadir = @javadir@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
zeromq_path_bin_queue = @zeromq_path_bin_queue@
ACLOCAL_AMFLAGS = -I m4
SUBDIRS = api lib tests service_api
SCOPE_EXTERNAL = cloudi_x_
SCOPE_ARGS = -s $(SCOPE_EXTERNAL) -p cloudi -b _original \
     -c $(top_srcdir)/lib/ \
     -d $(top_srcdir)/lib/cloudi_core/src \
     -d $(top_srcdir)/lib/cloudi_service_api_requests/src \
     -d $(top_srcdir)/lib/cloudi_service_db_mysql/src \
     -d $(top_srcdir)/lib/cloudi_service_db_pgsql/src \
     -d $(top_srcdir)/lib/cloudi_service_filesystem/src \
     -d $(top_srcdir)/lib/cloudi_service_http_client/src \
     -d $(top_srcdir)/lib/cloudi_service_http_cowboy/src \
     -d $(top_srcdir)/lib/cloudi_service_http_elli/src \
     -d $(top_srcdir)/lib/cloudi_service_http_rest/src \
     -d $(top_srcdir)/lib/cloudi_service_map_reduce/src \
     -d $(top_srcdir)/lib/cloudi_service_monitoring/src \
     -d $(top_srcdir)/lib/cloudi_service_oauth1/src \
     -d $(top_srcdir)/lib/cloudi_service_queue/src \
     -d $(top_srcdir)/lib/cloudi_service_quorum/src \
     -d $(top_srcdir)/lib/cloudi_service_router/src \
     -d $(top_srcdir)/lib/cloudi_service_tcp/src \
     -d $(top_srcdir)/lib/cloudi_service_udp/src \
     -d $(top_srcdir)/lib/cloudi_service_validate/src \
     -d $(top_srcdir)/lib/cloudi_service_zeromq/src \
     -d $(top_srcdir)/lib/cgroups/src \
     -d $(top_srcdir)/lib/cpg/src \
     -d $(top_srcdir)/lib/cpg/test \
     -d $(top_srcdir)/lib/erlang_term/src \
     -d $(top_srcdir)/lib/key2value/src \
     -d $(top_srcdir)/lib/keys1value/src \
     -d $(top_srcdir)/lib/pqueue/src \
     -d $(top_srcdir)/lib/pqueue/test \
     -d $(top_srcdir)/lib/quickrand/src \
     -d $(top_srcdir)/lib/reltool_util/src \
     -d $(top_srcdir)/lib/supool/src \
     -d $(top_srcdir)/lib/supool/test \
     -d $(top_srcdir)/lib/syslog_socket/src \
     -d $(top_srcdir)/lib/syslog_socket/test \
     -d $(top_srcdir)/lib/trie/src \
     -d $(top_srcdir)/lib/uuid/src \
     -d $(top_srcdir)/lib/varpool/src \
     -d $(top_srcdir)/lib/varpool/test \
     -d $(top_srcdir)/external/cloudi_x_bear/src \
     -d $(top_srcdir)/external/cloudi_x_certifi/src \
     -d $(top_srcdir)/external/cloudi_x_cowboy/src \
     -d $(top_srcdir)/external/cloudi_x_cowlib/src \
     -d $(top_srcdir)/external/cloudi_x_elli/src \
     -d $(top_srcdir)/external/cloudi_x_emysql/src \
     -d $(top_srcdir)/external/cloudi_x_epgsql/src \
     -d $(top_srcdir)/external/cloudi_x_epgsql_wg/src \
     -d $(top_srcdir)/external/cloudi_x_exometer/src \
     -d $(top_srcdir)/external/cloudi_x_exometer_core/src \
     -d $(top_srcdir)/external/cloudi_x_exometer_influxdb/src \
     -d $(top_srcdir)/external/cloudi_x_folsom/src \
     -d $(top_srcdir)/external/cloudi_x_hackney/src \
     -d $(top_srcdir)/external/cloudi_x_hut/src \
     -d $(top_srcdir)/external/cloudi_x_idna/src \
     -d $(top_srcdir)/external/cloudi_x_jsx/src \
     -d $(top_srcdir)/external/cloudi_x_metrics/src \
     -d $(top_srcdir)/external/cloudi_x_mimerl/src \
     -d $(top_srcdir)/external/cloudi_x_msgpack/src \
     -d $(top_srcdir)/external/cloudi_x_nodefinder/src \
     -d $(top_srcdir)/external/cloudi_x_parse_trans/src \
     -d $(top_srcdir)/external/cloudi_x_pgsql/src \
     -d $(top_srcdir)/external/cloudi_x_ranch/src \
     -d $(top_srcdir)/external/cloudi_x_setup/src \
     -d $(top_srcdir)/external/cloudi_x_ssl_verify_fun/src

@PYTHON_SUPPORT_TRUE@PYTHON_TEST_HOOK = api-python-test
@RUBY_SUPPORT_TRUE@RUBY_TEST_HOOK = api-ruby-test
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign --ignore-deps'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign --ignore-deps \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign --ignore-deps Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign --ignore-deps Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then rm -f stamp-h1; else :; fi
	@if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
cloudi_tests.conf: $(top_builddir)/config.status $(srcdir)/cloudi_tests.conf.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
cloudi_minimal.conf: $(top_builddir)/config.status $(srcdir)/cloudi_minimal.conf.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
rebar_src.config: $(top_builddir)/config.status $(srcdir)/rebar_src.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
rebar_src_test.config: $(top_builddir)/config.status $(srcdir)/rebar_src_test.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
reltool.config: $(top_builddir)/config.status $(srcdir)/reltool.config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
rel/files/vm.args: $(top_builddir)/config.status $(top_srcdir)/rel/files/vm.args.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_core/src/cloudi_core.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_core/src/cloudi_core.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_api_requests/src/cloudi_service_api_requests.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_api_requests/src/cloudi_service_api_requests.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_db_mysql/src/cloudi_service_db_mysql.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_db_mysql/src/cloudi_service_db_mysql.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_db_pgsql/src/cloudi_service_db_pgsql.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_db_pgsql/src/cloudi_service_db_pgsql.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_filesystem/src/cloudi_service_filesystem.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_filesystem/src/cloudi_service_filesystem.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_http_client/src/cloudi_service_http_client.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_http_client/src/cloudi_service_http_client.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_http_cowboy/src/cloudi_service_http_cowboy.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_http_cowboy/src/cloudi_service_http_cowboy.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_http_elli/src/cloudi_service_http_elli.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_http_elli/src/cloudi_service_http_elli.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_http_rest/src/cloudi_service_http_rest.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_http_rest/src/cloudi_service_http_rest.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_map_reduce/src/cloudi_service_map_reduce.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_map_reduce/src/cloudi_service_map_reduce.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_monitoring/src/cloudi_service_monitoring.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_monitoring/src/cloudi_service_monitoring.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_oauth1/src/cloudi_service_oauth1.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_oauth1/src/cloudi_service_oauth1.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_queue/src/cloudi_service_queue.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_queue/src/cloudi_service_queue.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_quorum/src/cloudi_service_quorum.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_quorum/src/cloudi_service_quorum.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_router/src/cloudi_service_router.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_router/src/cloudi_service_router.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_tcp/src/cloudi_service_tcp.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_tcp/src/cloudi_service_tcp.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_udp/src/cloudi_service_udp.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_udp/src/cloudi_service_udp.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_validate/src/cloudi_service_validate.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_validate/src/cloudi_service_validate.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
lib/cloudi_service_zeromq/src/cloudi_service_zeromq.app.src: $(top_builddir)/config.status $(top_srcdir)/lib/cloudi_service_zeromq/src/cloudi_service_zeromq.app.src.in
	cd $(top_builddir) && $(SHELL) ./config.status $@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool config.lt

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

dist-lzip: distdir
	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
	$(am__remove_distdir)

dist-lzma: distdir
	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
	$(am__remove_distdir)

dist-xz: distdir
	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
	$(am__remove_distdir)

dist-tarZ: distdir
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
	$(am__remove_distdir)

dist-shar: distdir
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
	$(am__remove_distdir)

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	$(am__remove_distdir)

dist dist-all: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
	*.tar.bz2*) \
	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
	*.tar.lzma*) \
	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
	*.tar.lz*) \
	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
	*.tar.xz*) \
	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/_build
	mkdir $(distdir)/_inst
	chmod a-w $(distdir)
	test -d $(distdir)/_build || exit 0; \
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && am__cwd=`pwd` \
	  && $(am__cd) $(distdir)/_build \
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && rm -rf $(DIST_ARCHIVES) \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
	  && cd "$$am__cwd" \
	  || exit 1
	$(am__remove_distdir)
	@(echo "$(distdir) archives ready for distribution: "; \
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
distuninstallcheck:
	@test -n '$(distuninstallcheck_dir)' || { \
	  echo 'ERROR: trying to run $@ with an empty' \
	       '$$(distuninstallcheck_dir)' >&2; \
	  exit 1; \
	}; \
	$(am__cd) '$(distuninstallcheck_dir)' || { \
	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
	  exit 1; \
	}; \
	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	@if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: check-recursive
all-am: Makefile config.h all-local
installdirs: installdirs-recursive
installdirs-am:
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic clean-libtool clean-local mostlyclean-am

distclean: distclean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-hdr \
	distclean-libtool distclean-local distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am:

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am:
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man:

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf $(top_srcdir)/autom4te.cache
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am:

.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
	ctags-recursive install-am install-exec-am install-strip \
	tags-recursive

.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
	all all-am all-local am--refresh check check-am clean \
	clean-generic clean-libtool clean-local ctags ctags-recursive \
	dist dist-all dist-bzip2 dist-gzip dist-lzip dist-lzma \
	dist-shar dist-tarZ dist-xz dist-zip distcheck distclean \
	distclean-generic distclean-hdr distclean-libtool \
	distclean-local distclean-tags distcleancheck distdir \
	distuninstallcheck dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-exec-hook \
	install-html install-html-am install-info install-info-am \
	install-man install-pdf install-pdf-am install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs installdirs-am maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
	uninstall uninstall-am


.PHONY: \
    rebar-directories-compile \
    erlang-applications-scope-add \
    rebar-compile \
    rebar-clean \
    rebar-directories-clean \
    clean-configure \
    rebar-directories-distclean \
    erlang-applications-scope-remove \
    dialyze \
    dialyzer \
    doc \
    docs \
    xref \
    api-python-test \
    api-ruby-test \
    ct \
    eunit \
    test \
    tests \
    manual-update \
    run

all-local: rel/files/app.config \
           erlang-applications-scope-add \
           rebar-directories-compile \
           rebar-compile

rel/files/app.config: rel/files/app.config.in
	$(MKDIR_P) rel/files
	$(SED) -e "s![@]cloudi_confdir[@]!$(cloudi_confdir)!g" \
           -e "s![@]cloudi_logdir[@]!$(cloudi_logdir)!g" \
           $(top_srcdir)/rel/files/app.config.in > \
           $(top_builddir)/$@

rebar-directories-compile:
	$(top_srcdir)/rebar_dirs.sh create $(abs_top_srcdir) $(abs_top_builddir)
	(if test "x$(ZEROMQ_VERSION_MAJOR)" != "x"; then : ; \
        $(MKDIR_P) external/zeromq/v$(ZEROMQ_VERSION_MAJOR) && \
        cd $(top_builddir)/external/zeromq/v$(ZEROMQ_VERSION_MAJOR) && \
            test ! -e erlzmq && \
            $(LN_S) $(abs_top_srcdir)/external/zeromq/v$(ZEROMQ_VERSION_MAJOR)/erlzmq || exit 0; \
     fi)
	(cd $(top_srcdir)/lib/cloudi_core/cxx_src && \
        test ! -e cloudi_os_spawn_vsn_1 && \
        $(LN_S) $(abs_top_builddir)/lib/cloudi_core/cxx_src/cloudi_os_spawn_vsn_1 || exit 0)

erlang-applications-scope-add: scoped

scoped: $(top_srcdir)/external/README.markdown
	rm -f $@ ; echo > $@
	$(ESCRIPT) $(top_srcdir)/lib/reltool_util/scope $(SCOPE_ARGS) -u
	$(ESCRIPT) $(top_srcdir)/lib/reltool_util/scope $(SCOPE_ARGS)

rebar-compile: erlang-applications-scope-add \
               rebar-directories-compile
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) -C $(abs_top_builddir)/rebar_src.config compile && \
	 $(top_srcdir)/rebar_dirs.sh process $(abs_top_srcdir) $(abs_top_builddir))

clean-local: rebar-clean \
             rebar-directories-clean
	rm -rf $(top_builddir)/rel/cloudi || exit 0

rebar-clean:
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) -C $(abs_top_builddir)/rebar_src.config clean || \
     exit 0)

rebar-directories-clean: rebar-clean
	$(top_srcdir)/rebar_dirs.sh destroy $(abs_top_srcdir) $(abs_top_builddir)
	(if test "x$(ZEROMQ_VERSION_MAJOR)" != "x"; then : ; \
       test -d external/zeromq/v$(ZEROMQ_VERSION_MAJOR) && \
       rm -f $(top_builddir)/external/zeromq/v$(ZEROMQ_VERSION_MAJOR)/erlzmq \
             || exit 0; \
     fi)
	(test -h $(top_builddir)/lib/cloudi_core/cxx_src/cloudi_os_spawn_vsn_1 && \
	 rm $(top_builddir)/lib/cloudi_core/cxx_src/cloudi_os_spawn_vsn_1 || \
	 exit 0)

clean-configure: distclean

distclean-local: rebar-directories-distclean \
                 erlang-applications-scope-remove
	rm -f $(top_srcdir)/aclocal.m4 \
          $(top_srcdir)/config.h.in \
          $(top_srcdir)/config.h.in~ \
          $(top_srcdir)/config/compile \
          $(top_srcdir)/config/config.guess \
          $(top_srcdir)/config/config.sub \
          $(top_srcdir)/config/install-sh \
          $(top_srcdir)/config/ltmain.sh \
          $(top_srcdir)/config/missing \
          $(top_srcdir)/Makefile.in \
          $(top_srcdir)/configure \
          $(top_srcdir)/m4/libtool.m4 \
          $(top_srcdir)/m4/ltoptions.m4 \
          $(top_srcdir)/m4/ltsugar.m4 \
          $(top_srcdir)/m4/ltversion.m4 \
          $(top_srcdir)/m4/lt~obsolete.m4 \
          $(top_builddir)/rel/files/app.config
	rm -rf $(top_srcdir)/autom4te.cache
	rm -rf $(top_srcdir)/tests/.eunit \
           $(top_srcdir)/tests/ct/logs \
           $(top_srcdir)/lib/cloudi_core/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_db_mysql/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_db_pgsql/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_filesystem/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_http_client/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_queue/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_quorum/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_oauth1/test_ct/logs \
           $(top_srcdir)/lib/cloudi_service_validate/test_ct/logs
	find $(top_srcdir)/api -name "Makefile.in" | xargs rm -f
	find $(top_srcdir)/lib -name "Makefile.in" | xargs rm -f
	find $(top_srcdir)/tests -name "Makefile.in" | xargs rm -f
	find $(top_srcdir)/service_api -name "Makefile.in" | xargs rm -f

rebar-directories-distclean:
	rm -f $(top_srcdir)/external/rebar/ebin/*.beam
	(cd $(top_srcdir)/external/zeromq/v$(ZEROMQ_VERSION_MAJOR)/zeromq && \
     make distclean || exit 0)
	(cd $(top_srcdir)/external/zeromq/v$(ZEROMQ_VERSION_MAJOR)/erlzmq && \
     $(ESCRIPT) $(REBAR) -C $(abs_top_builddir)/rebar_src.config clean || \
     exit 0)
	test -e $(top_builddir)/rebar && rm -f $(top_builddir)/rebar || exit 0

erlang-applications-scope-remove:
	rm -f scoped
	$(ESCRIPT) $(top_srcdir)/lib/reltool_util/scope $(SCOPE_ARGS) -u

dialyze: all \
         $(top_srcdir)/dialyzer.plt
	$(DIALYZER) --verbose --plt $(top_srcdir)/dialyzer.plt \
              -I lib/cloudi_core/include/ \
              lib/cloudi_core/ebin/ \
              lib/cloudi_service_api_requests/ebin/ \
              lib/cloudi_service_db_mysql/ebin/ \
              lib/cloudi_service_db_pgsql/ebin/ \
              lib/cloudi_service_filesystem/ebin/ \
              lib/cloudi_service_http_client/ebin/ \
              lib/cloudi_service_http_cowboy/ebin/ \
              lib/cloudi_service_http_elli/ebin/ \
              lib/cloudi_service_http_rest/ebin/ \
              lib/cloudi_service_map_reduce/ebin/ \
              lib/cloudi_service_monitoring/ebin/ \
              lib/cloudi_service_oauth1/ebin/ \
              lib/cloudi_service_queue/ebin/ \
              lib/cloudi_service_quorum/ebin/ \
              lib/cloudi_service_router/ebin/ \
              lib/cloudi_service_tcp/ebin/ \
              lib/cloudi_service_udp/ebin/ \
              lib/cloudi_service_validate/ebin/ \
              lib/cloudi_service_zeromq/ebin/ \
              lib/cgroups/ebin/ \
              lib/cpg/ebin/ \
              lib/erlang_term/ebin/ \
              lib/key2value/ebin/ \
              lib/keys1value/ebin/ \
              lib/pqueue/ebin/ \
              lib/quickrand/ebin/ \
              lib/reltool_util/ebin/ \
              lib/supool/ebin/ \
              lib/syslog_socket/ebin/ \
              lib/trie/ebin/ \
              lib/uuid/ebin/ \
              lib/varpool/ebin/ \
              tests/count/ebin/ \
              tests/hexpi/ebin/ \
              tests/http_req/ebin/ \
              tests/messaging/ebin/ \
              tests/msg_size/ebin/ \
              tests/null/ebin/ \
              tests/request_rate/ebin/ \
              external/cloudi_x_bear/ebin \
              external/cloudi_x_cowlib/ebin \
              external/cloudi_x_emysql/ebin \
              external/cloudi_x_epgsql/ebin \
              external/cloudi_x_epgsql_wg/ebin \
              external/cloudi_x_folsom/ebin \
              external/cloudi_x_msgpack/ebin \
              external/cloudi_x_nodefinder/ebin
	@echo "No Errors or Warnings Found!"

dialyzer: dialyze

$(top_srcdir)/dialyzer.plt:
	$(DIALYZER) --build_plt --output_plt $(top_srcdir)/dialyzer.plt \
                --apps erts kernel stdlib mnesia crypto inets xmerl sasl \
                       compiler debugger ssl tools syntax_tools

doc: all
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) -C $(abs_top_builddir)/rebar_src_test.config doc \
        || exit 0)

docs: doc

xref: all
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) -C $(abs_top_builddir)/rebar_src_test.config xref \
        || exit 0)

api-python-test:
	$(PYTHON) $(top_srcdir)/api/python/tests/erlang_tests.py

api-ruby-test:
	$(RUBY) $(top_srcdir)/api/ruby/tests/erlang_tests.rb

ct: all
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) -C $(abs_top_builddir)/rebar_src_test.config ct)

eunit: all
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) -C $(abs_top_builddir)/rebar_src_test.config eunit)

test: all $(PYTHON_TEST_HOOK) $(RUBY_TEST_HOOK)
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(REBAR) -C $(abs_top_builddir)/rebar_src_test.config ct eunit)

tests: test

manual-update:
	(cd $(top_srcdir) && \
     $(ESCRIPT) $(top_srcdir)/lib/reltool_util/ex2erl \
         $(top_srcdir)/lib/cloudi_core/priv/CloudILogger.ex && \
     mv -f $(top_srcdir)/lib/cloudi_core/priv/Elixir.CloudILogger.erl \
           $(top_srcdir)/lib/cloudi_core/src/ )
	(cd $(top_srcdir)/lib/cloudi_core/scripts/ && \
     $(ESCRIPT) ./mimetypes_update )

uninstall:
	rm -rf "$(DESTDIR)$(cloudi_prefix)"

install-exec-hook: rel/files/app.config
	$(MKDIR_P) "$(DESTDIR)$(bindir)"
	$(MKDIR_P) "$(DESTDIR)$(cloudi_logdir)"
	$(MKDIR_P) "$(DESTDIR)$(cloudi_confdir)"
	$(MKDIR_P) "$(DESTDIR)$(cloudi_bindir)"
	$(MKDIR_P) "$(DESTDIR)$(cloudi_prefix)"
	$(INSTALL_DATA) "$(top_srcdir)/LICENSE" "$(DESTDIR)$(cloudi_prefix)"
	$(MKDIR_P) "$(DESTDIR)$(cloudi_prefix)/lib"
	$(MKDIR_P) "$(DESTDIR)$(cloudi_prefix)/releases"
	(cd "$(DESTDIR)$(cloudi_prefix)" && \
     test ! -e etc && $(LN_S) "$(cloudi_confdir)" etc || exit 0 && \
     test ! -e logs && $(LN_S) "$(cloudi_logdir)" logs || exit 0)
	test -e "$(DESTDIR)$(cloudi_confdir)/cloudi.conf" && \
       mv -f "$(DESTDIR)$(cloudi_confdir)/cloudi.conf" \
             "$(DESTDIR)$(cloudi_confdir)/cloudi.conf.old" || exit 0
	$(INSTALL_DATA) "$(top_builddir)/$(CLOUDI_CONF)" \
                  "$(DESTDIR)$(cloudi_confdir)/cloudi.conf"
	$(ESCRIPT) $(top_srcdir)/lib/reltool_util/release
	test ! -d "$(DESTDIR)$(cloudi_prefix)/erts-$(ERLANG_ERTS_VER)" && \
       mv -f "$(top_builddir)/rel/cloudi/erts-$(ERLANG_ERTS_VER)" \
             "$(DESTDIR)$(cloudi_prefix)" || exit 0
	$(INSTALL_SCRIPT) "$(top_builddir)/rel/cloudi/bin/cloudi" \
                    "$(DESTDIR)$(cloudi_bindir)/"
	echo "#!/bin/sh"               > "$(CLOUDI_TMP_BIN_SCRIPT)"
	echo "cd $(cloudi_bindir)"     >> "$(CLOUDI_TMP_BIN_SCRIPT)"
	echo "exec ./cloudi \$$*"      >> "$(CLOUDI_TMP_BIN_SCRIPT)"
	$(INSTALL_SCRIPT) "$(CLOUDI_TMP_BIN_SCRIPT)" "$(DESTDIR)$(bindir)/cloudi"
	rm -f "$(CLOUDI_TMP_BIN_SCRIPT)"
	test -e "$(DESTDIR)$(cloudi_confdir)/app.config" && \
       mv -f "$(DESTDIR)$(cloudi_confdir)/app.config" \
             "$(DESTDIR)$(cloudi_confdir)/app.config.old" || exit 0
	$(INSTALL_DATA) "$(top_builddir)/rel/cloudi/etc/app.config" \
                  "$(DESTDIR)$(cloudi_confdir)/"
	test -e "$(DESTDIR)$(cloudi_confdir)/vm.args" && \
       mv -f "$(DESTDIR)$(cloudi_confdir)/vm.args" \
             "$(DESTDIR)$(cloudi_confdir)/vm.args.old" || exit 0
	$(INSTALL_DATA) "$(top_builddir)/rel/cloudi/etc/vm.args" \
                  "$(DESTDIR)$(cloudi_confdir)/"
	test ! -d "$(DESTDIR)$(cloudi_prefix)/releases/1" && \
       mv -f "$(top_builddir)/rel/cloudi/releases/1" \
             "$(DESTDIR)$(cloudi_prefix)/releases/" || exit 0
	$(INSTALL_DATA) "$(top_builddir)/rel/cloudi/releases/start_erl.data" \
                    "$(DESTDIR)$(cloudi_prefix)/releases/"
	list0=`ls "$(top_builddir)/rel/cloudi/lib/"`; \
    for subdir0 in $$list0; do \
	  list1=`ls "$(top_builddir)/rel/cloudi/lib/$$subdir0"`; \
    for subdir1 in $$list1; do \
        test ! -e "$(DESTDIR)$(cloudi_prefix)/lib/$$subdir0/$$subdir1" && \
        $(MKDIR_P) "$(DESTDIR)$(cloudi_prefix)/lib/$$subdir0/" && \
        mv -f "$(top_builddir)/rel/cloudi/lib/$$subdir0/$$subdir1" \
              "$(DESTDIR)$(cloudi_prefix)/lib/$$subdir0/" || \
        echo "$(DESTDIR)$(cloudi_prefix)/lib/$$subdir0/$$subdir1 exists!"; \
    done; done
	rm -rf $(top_builddir)/rel/cloudi/

run:
	@echo
	@echo "********************"
	@echo "* USE make install *"
	@echo "********************"
	@echo
	@exit 1

distdir:
	@echo
	@echo "*************************************"
	@echo "* AUTOMAKE DISTRIBUTION IS NOT USED *"
	@echo "*************************************"
	@echo
	@exit 1

dist: distdir

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
